<script language="javascript" type="text/javascript">
function show_purging() {
	var w = 300;

	window.scrollTo(0,0);
	document.body.style.overflow = 'hidden';

	var div = document.createElement('div');
	div.className = 'windowshade';
	div.style.width = window.innerWidth+'px';
	div.style.height = window.innerHeight+'px';
	document.body.insertBefore(div,document.body.childNodes[0]);

	var note = document.createElement('div');
	note.style.fontSize = '10px';
	note.style.color = '#C0C0C0';
	note.style.paddingBottom = '10px';
	note.innerHTML = '({="this may take a few moments"})';

	var img = document.createElement('img');
	img.src = '../system/images/loading.gif';

	var box = document.createElement('div');
	box.className = 'box loadingbox';
	box.style.width = w+'px';
	box.style.left = Math.floor( (window.innerWidth - w) / 2) + 'px';
	box.style.top = '100px';

	box.innerHTML = '{="Purging event log, please wait ..."}';
	box.appendChild(note);
	box.appendChild(img);

	document.body.insertBefore(box,document.body.childNodes[0]);
}
</script>
<div style="float: right">
	<form method="get" action="{$_SERVER.PHP_SELF}">
	<input type="hidden" name="page" value="eventlog" />
	<input type="text" name="keyword" value="{$_REQUEST.keyword|htmlentities}" size="15" maxlength="100" />
	<input type="submit" value="{="Search"}" />
	</form>
</div>

{if $_multipage}
<strong>{="%s events on file.  Displaying page %s of %s.",$_multipage.itemcount,$_multipage.currentpage,$_multipage.totalpages}</strong><br /><br />
{/if}

{if $_multipage.nav}
<div class="pageselection">
{="Page"}: {$_multipage.nav}
</div>
{/if}

<script language="javascript" type="text/javascript"> 
function show_event_details(eventid) {
	var el = document.getElementById('event_details_'+eventid);
	if (!el) return;
	el.style.display = (el.style.display=='') ? 'none' : '';
}
</script>

<table class="listtable" width="100%" cellspacing="1" cellpadding="2">
<tr>
	<th width="75" style="padding-left: 5px">{="Date"}</th>
	<th width="100">{="Account"}</th>
	<th>{="Details"}</th>
</tr>

{loop $event=$events}
<tr>
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" nowrap="nowrap" valign="top" style="padding-left: 5px">
		{$event.eventdate|mysqldatetime:formatted:"M d, Y"}<br />
		<span style="color: #909090">{$event.eventdate|mysqldatetime:formatted:h:ia}</span>
	</td>
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" nowrap="nowrap" valign="top">
		{if $event.accountid>0}
		<a href="index.php?page=accounts&action=edit&username={$event.username}">{$event.username}</a>
		{else}
		{="System"}
		{/if}
	</td>
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" valign="top">
		{if $event.details}
		<div style="float: right; padding-left: 10px; padding-bottom: 10px;"><a href="#" onclick="show_event_details({$event.id}); return false">{="Details"}...</a></div>
		{/if}
		{$event.summary}
		{if $full}<br />{$event.caller}{/if}
		
		{if $event.details}
		<div style="display: none; margin-top: 5px; padding-top: 5px; margin-bottom: 5px; border-top: 1px solid #E5E5E5; color: #404040" id="event_details_{$event.id}">
			{$event.details|nl2br}
		</div>
		{/if}
		
	</td>
		
</tr>
{/loop}
</table>

<div style="float: right">
	<form method="post" action="index.php" onsubmit="show_purging()">
		<input type="hidden" name="page" value="eventlog" />
		<input type="hidden" name="action" value="purge" />
		{="Purge event log and keep"}
		<select name="keep">
		<option value="1yr">{="1 year of entries"}</option>
		<option value="6mo">{="6 months of entries"}</option>
		<option value="1mo">{="1 month of entries"}</option>
		<option value="2wk" selected="selected">{="2 weeks of entries"}</option>
		<option value="none">{="no entries"}</option>
		</select>
		<input type="submit" value="{="Purge"}" />
	</form>
</div>
<div style="clear: both"></div>