<div style="text-align: center; font-weight: bold">{="Top Agents by Listener Sessions"} ({="past %s days",$perioddays})</div>
<table cellspacing="1" cellpadding="3" border="0" class="listtable" width="100%">
<tr>
	<th>&nbsp;</th>
	<th>{="Agent"}</th>
	<th colspan="2" style="text-align: right">{="Xfer"}</th>
	<th style="text-align: right">{="Sessions"}</th>
</tr>
{if $topagentsessions|count==0}<tr><td colspan="5" style="text-align: center">{="None"}</td></tr>{/if}
{loop $agent=$topagentsessions}
<tr>
	{if $_loop.first}
	<td rowspan="{$topagentsessions|count}" width="170"><img src="{$pageself}&makepie=topagentsessions" /></td>
	{/if}
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}">
		<div style="float: left; width: 8px; height: 8px; background-color: #{$agent.color}; border: 1px solid #{$agent.outline}; font-size: 0px; margin: 2px 8px 0 4px">&nbsp;</div>
		{if $agent.agenttype=="players"}<img src="../system/images/icons/ua-player.png" alt="{="Player"}" align="absmiddle" {tip}{="User agent type:"} <strong>{="Player"}</strong>{/tip} />
		{elseif $agent.agenttype=="rippers"}<img src="../system/images/icons/ua-ripper.png" alt="{="Ripper"}" align="absmiddle" {tip}{="User agent type:"} <strong>{="Ripper"}</strong>{/tip} />
		{elseif $agent.agenttype=="hybrid"}<img src="../system/images/icons/ua-hybrid.png" alt="{="Player/Ripper"}" align="absmiddle" {tip}{="User agent type:"} <strong>{="Player/Ripper"}</strong>{/tip} /> 
		{else}<img src="../system/images/icons/ua-hybrid.png" alt="{="Unknown"}" align="absmiddle" {tip}{="User agent type:"} <strong>{="Unknown"}</strong>{/tip} />
		{/if}
		{$_loop.iteration}. {$agent.name}
	</td>
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" width="100">
		<div style="width: 100px; height: 4px; border: 1px solid #629DCD; text-align: left" {tip}{="%s%.1f%%%s of total sessions","<strong>",$agent.total|mul:100|div:$maxsessions,"</strong>"}{/tip}>
			<div style="width: {$agent.total|mul:100|div:$maxsessions|round}px; height: 4px; background-color: #C0DDF9; border-right: 1px solid #9AB9D9; font-size: 0px;">&nbsp;</div>
		</div>
	</td>
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" align="right" width="80">{="%.1f MB",$agent.bandwidth|div:1024}</td>
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" align="right" width="80">{$agent.total} ({="%.1f%%",$agent.total|mul:100|div:$maxsessions})</td>
</tr>
{/loop}
</table>

<br />


<div style="text-align: center; font-weight: bold">{="Top Agents by Listener Minutes"} ({="past %s days",$perioddays})</div>
<table cellspacing="1" cellpadding="3" border="0" class="listtable" width="100%">
<tr>
	<th>&nbsp;</th>
	<th>{="Agent"}</th>
	<th colspan="2" style="text-align: right">{="Xfer"}</th>
	<th style="text-align: right">{="Minutes"}</th>
</tr>
{if $topagentminutes|count==0}<tr><td colspan="7" style="text-align: center">{="None"}</td></tr>{/if}
{loop $agent=$topagentminutes}
<tr>
	{if $_loop.first}
	<td rowspan="{$topagentminutes|count}" width="170"><img src="{$pageself}&makepie=topagentminutes" /></td>
	{/if}
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}">
		<div style="float: left; width: 8px; height: 8px; background-color: #{$agent.color}; border: 1px solid #{$agent.outline}; font-size: 0px; margin: 2px 8px 0 4px">&nbsp;</div>
		{$_loop.iteration}.
		{if $agent.agenttype=="players"}<img src="../system/images/icons/ua-player.png" alt="{="Player"}" align="absmiddle" {tip}{="User agent type:"} <strong>{="Player"}</strong>{/tip} />
		{elseif $agent.agenttype=="rippers"}<img src="../system/images/icons/ua-ripper.png" alt="{="Ripper"}" align="absmiddle" {tip}{="User agent type:"} <strong>{="Ripper"}</strong>{/tip} />
		{elseif $agent.agenttype=="hybrid"}<img src="../system/images/icons/ua-hybrid.png" alt="{="Player/Ripper"}" align="absmiddle" {tip}{="User agent type:"} <strong>{="Player/Ripper"}</strong>{/tip} /> 
		{else}<img src="../system/images/icons/ua-hybrid.png" alt="{="Unknown"}" align="absmiddle" {tip}{="User agent type:"} <strong>{="Unknown"}</strong>{/tip} />
		{/if}
		{$agent.name}
	</td>

	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" width="100">
		<div style="width: 100px; height: 4px; border: 1px solid #629DCD; text-align: left" {tip}{="%s%.1f%%%s of total minutes","<strong>",$agent.total|mul:100|div:$maxminutes,"</strong>"}{/tip}>
			<div style="width: {$agent.total|mul:100|div:$maxminutes|round}px; height: 4px; background-color: #C0DDF9; border-right: 1px solid #9AB9D9; font-size: 0px;">&nbsp;</div>
		</div>
	</td>
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" align="right" width="80">{="%.1f MB",$agent.bandwidth|div:1024}</td>
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" align="right" width="80">{$agent.total} ({="%.1f%%",$agent.total|mul:100|div:$maxminutes})</td>
</tr>
{/loop}
</table>

<br />

<div align="center">
	<form method="post" action="{$pageself}">
		<input type="hidden" name="tab" value="agents" />
		{="Show"}: <select name="agentlimit" size="1" onchange="this.form.submit()">
		<option value="10"{if $agentlimit==10} selected="selected"{/if}>{="Top %d",10}</option>
		<option value="25"{if $agentlimit==25} selected="selected"{/if}>{="Top %d",25}</option>
		<option value="50"{if $agentlimit==50} selected="selected"{/if}>{="Top %d",50}</option>
		<option value="100"{if $agentlimit==100} selected="selected"{/if}>{="Top %d",100}</option>
		<option value="250"{if $agentlimit==250} selected="selected"{/if}>{="Top %d",250}</option>
		<option value="-1"{if $agentlimit<0} selected="selected"{/if}>{="All"}</option>
		</select>
		<noscript><input type="submit" name="go" value="{="Go"}" /></noscript>
	</form>
	<br />
</div>

