<table width="100%" cellspacing="0" celpadding="0" border="0">
<tr>
	<td width="33%" class="box">

		<div style="margin-bottom: 5px" {tip}{="Allocated: %s%.1f%%%s.%sThis is the combined total of the data transfer limits you have allocated to all of your client accounts.","<strong>",$allocated.usedxfer|mul:100|div:$transferlimit,"</strong>","<br />"}{/tip}>
			<img src="../system/images/icons/transfer.png" align="absmiddle" /> {="Allocated data transfer"}: <span style="font-weight: bold; white-space: nowrap">{if $account.noxferlimit}{="%s MB",$allocated.usedxfer} ({="Unlimited"}){else}{="%s/%s MB",$allocated.usedxfer,$transferlimit}{/if}</span>
			{$allocated.usedxfer|ccgraph:$transferlimit}
		</div>
		
		<div {tip}{="Total: %s%.1f%%%s.%sThis is the combined total of the actual data transfer usage for all of your client accounts.","<strong>",$currenttransfer|mul:100|div:$transferlimit,"</strong>","<br />"}{/tip}>
			<img src="../system/images/icons/transfer.png" align="absmiddle" /> {="Used data transfer"}: <span style="font-weight: bold; white-space: nowrap">{if $account.noxferlimit}{="%s MB",$currenttransfer} ({="Unlimited"}){else}{="%s/%s MB",$currenttransfer,$transferlimit}{/if}</span>
			{$currenttransfer|ccgraph:$transferlimit}
		</div>

	</td>
	<td style="font-size: 0px; width: 5px">&nbsp;</td>
	<td width="33%" class="box">

		<div style="margin-bottom: 5px" {tip}{="Allocated: %s%.1f%%%s.%sThis is the combined total of the disk quotas you have allocated to all of your client accounts.","<strong>",$allocated.useddisk|mul:100|div:$diskquota,"</strong>","<br />"}{/tip}>
			<img src="../system/images/icons/diskspace.png" align="absmiddle" /> {="Allocated disk space"}: <span style="font-weight: bold; white-space: nowrap">{if $account.nodiskquota}{="%s MB",$allocated.useddisk} ({="Unlimited"}){else}{="%s/%s MB",$allocated.useddisk,$diskquota}{/if}</span>
			{$allocated.useddisk|ccgraph:$diskquota}
		</div>
		
		<div {tip}{="Used: %s%.1f%%%s.%sThis is the combined total of the actual disk space usage for all of your client accounts.","<strong>",$currentdisk|mul:100|div:$diskquota,"</strong>","<br />"}{/tip}
			<img src="../system/images/icons/diskspace.png" align="absmiddle" /> {="Used disk space"}: <span style="font-weight: bold; white-space: nowrap">{if $account.nodiskquota}{="%s MB",$currentdisk} ({="Unlimited"}){else}{="%s/%s MB",$currentdisk,$diskquota}{/if}</span>
			{$currentdisk|ccgraph:$diskquota}
		</div>

	</td>
	<td style="font-size: 0px; width: 5px">&nbsp;</td>
	<td width="33%" class="box">
		
		<div style="margin-bottom: 5px" {tip}{="Total: %s%.1f%%%s.%sThis is the combined total of the bandwidth (in kbps) you have allocated to all of your client accounts.","<strong>",$allocated.usedbandwidth|mul:100|div:$bandwidthlimit,"</strong>","<br />"}{/tip}>
			<img src="../system/images/icons/transfer.png" align="absmiddle" /> {="Allocated bandwidth"}: <span style="font-weight: bold; white-space: nowrap">{if $bandwidthlimit==0}{="%s kbps",$allocated.usedbandwidth} ({="Unlimited"}){else}{="%s/%s kbps",$allocated.usedbandwidth,$bandwidthlimit}{/if}</span>
			{$allocated.usedbandwidth|ccgraph:$bandwidthlimit}
		</div>

		<div {tip}{="Total: %s%.1f%%%s.%sThis is the combined total of the listener limits you have assigned to all of your client accounts.","<strong>",$allocated.usedclients|mul:100|div:$account.maxclients,"</strong>","<br />"}{/tip}>
			<img src="../system/images/icons/listeners.png" align="absmiddle" /> {="Allocated listener slots"}: <span style="font-weight: bold; white-space: nowrap">{if $account.maxclients==0}{$allocated.usedclients} ({="Unlimited"}){else}{="%s/%s",$allocated.usedclients,$account.maxclients}{/if}</span>
			{$allocated.usedclients|ccgraph:$account.maxclients}
		</div>
	</td>
		
	</td>

</tr>
<tr><td colspan="3" style="font-size: 0px; height: 5px">&nbsp;<br /></td></tr>


<tr>
	<td width="33%" class="box"{tip}{="Total: %s%.1f%%%s.%sThis is the estimated amount of data transfer you will use this month at the current rate of consumption.","<strong>",$allocated.usedxfer|mul:100|div:$transferlimit,"</strong>","<br />"}{/tip}>
		<!-- <div class="box"> -->
			<img src="../system/images/icons/transfer.png" align="absmiddle" /> {="Projected data transfer"}: <span style="font-weight: bold; white-space: nowrap">{if $account.noxferlimit}{="%s MB",$account.estimatedtransfer} ({="Unlimited"}){else}{="%s/%s MB",$account.estimatedtransfer,$transferlimit}{/if}</span>
			{$account.estimatedtransfer|ccgraph:$transferlimit}
		<!-- </div> -->
	</td>
	<td style="font-size: 0px; width: 5px">&nbsp;</td>

	<td></td>
	<td style="font-size: 0px; width: 5px">&nbsp;</td>
	<td width="33%" class="box"{tip}{="Total: %s%.1f%%%s.%sThis is the total number of client accounts you have created.","<strong>",$allocated.usedusers|mul:100|div:$account.resellerusers,"</strong>","<br />"}{/tip}>
		<!-- <div class="box"> -->
			<img src="../system/images/icons/server.png" align="absmiddle" /> {="Client accounts"}: <span style="font-weight: bold; white-space: nowrap">{if $account.resellerusers==0}{="%s",$allocated.usedusers} ({="Unlimited"}){else}{="%s/%s",$allocated.usedusers,$account.resellerusers}{/if}</span>
			{$allocated.usedusers|ccgraph:$account.resellerusers}
		<!-- </div> -->
	</td>
</tr>


<tr><td colspan="3" style="font-size: 0px; height: 5px">&nbsp;<br /></td></tr>
</table>

<div class="box">
	<div style="float: right">
		{="Projected data transfer"}:&nbsp; <strong>{="%s MB",$account.estimatedtransfer}</strong> {="total this month"}
	</div>
	{="Maximum bit rate"}: <strong>{="%s Kbps",$account.maxbitrate}</strong>
</div>
<br />
