<div style="text-align: center; font-weight: bold">{="Least Popular Tracks"} ({="by Disconnections per Minute,"} {="past %s days",$perioddays})</div>
<table cellspacing="1" cellpadding="3" border="0" class="listtable" width="100%">
<tr>
	<th>{="Track"}</th>
	<th style="text-align: right" width="130">{="Total Airtime"}</th>
	<th style="text-align: right" width="70">{="Net Discon."}</th>
	<th style="text-align: right" width="70">{="Discon./Min"}</th>
</tr>
{loop $track=$trackpopularity.least}
<tr>
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}">
		{$_loop.iteration}. {$track.name|ellipsis:100}
	</td>
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" style="text-align: right">
		{$track.airtime|timetext}
	</td>
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" style="text-align: right">
		{$track.delta|abs}
	</td>	
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" style="text-align: right">
		{$track.ranking|sprintf:"%.3f"}
	</td>	
</tr>
{/loop}
</table>

<br />

<div style="text-align: center; font-weight: bold">{="Most Popular Tracks"} ({="by Connections per Minute,"} {="past %s days",$perioddays})</div>
<table cellspacing="1" cellpadding="3" border="0" class="listtable" width="100%">
<tr>
	<th>{="Track"}</th>
	<th style="text-align: right" width="130">{="Total Airtime"}</th>
	<th style="text-align: right" width="70">{="Net Conn."}</th>
	<th style="text-align: right" width="70">{="Conn./Min"}</th>
</tr>
{loop $track=$trackpopularity.most}
<tr>
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}">
		{$_loop.iteration}. {$track.name|ellipsis:100}
	</td>
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" style="text-align: right">
		{$track.airtime|timetext}
	</td>
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" style="text-align: right">
		{$track.delta}
	</td>	
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" style="text-align: right">
		{$track.ranking|sprintf:"%.3f"}
	</td>	
</tr>
{/loop}
</table>

<br />

<div style="text-align: center; font-weight: bold">{="Top Tracks by Playbacks"} ({="past %s days",$perioddays})</div>
<table cellspacing="1" cellpadding="3" border="0" class="listtable" width="100%">
<tr>
	<th>{="Track"}</th>
	<th style="text-align: right" width="200">{="Playbacks"}</th>
</tr>
{loop $track=$trackpopularity.mostplayed}
<tr>
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}">
		{$_loop.iteration}. {$track.name|ellipsis:100}
	</td>
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" style="text-align: right">
		{$track.playbacks}
	</td>	
</tr>
{/loop}
</table>

<br />


<div style="text-align: center; font-weight: bold">{="Top Tracks by Airtime"} ({="past %s days",$perioddays})</div>
<table cellspacing="1" cellpadding="3" border="0" class="listtable" width="100%">
<tr>
	<th>{="Track"}</th>
	<th style="text-align: right" width="200">{="Airtime"}</th>
</tr>
{loop $track=$trackpopularity.mostairtime}
<tr>
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}">
		{$_loop.iteration}. {$track.name|ellipsis:100}
	</td>
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" style="text-align: right">
		{$track.airtime|timetext}
	</td>	
</tr>
{/loop}
</table>

<br />

{check $trackreports|count>0}
<div style="text-align: center; font-weight: bold">{="Track Broadcast Reports"}</div>
<table cellspacing="1" cellpadding="3" border="0" class="listtable" width="100%">
<tr>
	<th>{="Report"}</th>
	<th style="text-align: right" width="200">{="Size"}</th>
	<th style="text-align: center" width="70">{="Download"}</th>
</tr>
{loop $report=$trackreports}
<tr>
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}">
		{$report.name}
	</td>
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" style="text-align: right">
		{="%.1f KB",$report.size|div:1024}
	</td>	
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" style="text-align: center">
		<a href="{$pageself}&trackreport={$report.name|urlencode}">{="Download"}</a>
	</td>	
</tr>
{/loop}
</table>
<div style="text-align: center">
	{="These reports provide the track name, air time, and number of listeners for each track broadcasted during the reporting period."}<br />
	{="Reports are generated in CSV format on the first of each month, and may be useful for licensing/royalty reporting."}
</div>

<br />
{/check}
